%define		mainver		0.3
%undefine		betaver		

%define		fedoraver	1


Name:		catfish
Version:	%{mainver}
Release:	%{?betaver:0.}%{fedoraver}%{?betaver:.%betaver}%{?dist}
Summary:	A handy file search tool

Group:		Applications/File
License:	GPLv2+
URL:		http://software.twotoasts.de/?page=%{name}
Source0:	http://software.twotoasts.de/media/%{name}/%{name}-%{mainver}%{?betaver}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
# python related
Requires:	pygtk2-libglade
Requires:	pyxdg
Requires:	dbus-python
# search engine
Requires:	%{_bindir}/locate
Requires:	%{_bindir}/find
# icon
# Requires:	redhat-artwork

# Upstream rename
Obsoletes:	search4files <= 0.2a
Provides:	search4files = %{version}-%{release}

%description
A handy file search tool using different backends which is 
configurable via the command line.

This program acts as a frontend for different file search engines. 
The interface is intentionally lightweight and simple. But it takes 
configuration options from the command line.

%package	engines
Summary:	Metapackage to install all supported engines
Group:		Applications/File
License:	GPLv2+

Requires:	%{name} = %{version}-%{release}
#Requires:	beagle
Requires:	doodle
%if 0%{?fedora} >= 8
Requires:	pinot
%endif
Requires:	strigi
Requires:	tracker

%description	engines
This is a metapackage to install all engines supported by %{name}.

%prep
%setup -q -n %{name}-%{mainver}%{?betaver}

%build
# Some configulation changes
#
# msgfmt is fixed.
# Linking is still broken...
%{__sed} -i.misc \
	-e '/svg/s|install|install -m 644|' \
	-e '/glade/s|install| install -m 644|' \
	-e 's|install |install -p |' \
	-e 's|pyc|py|' \
	-e 's|^\([ \t]*\)ln |\1: ln |' \
	-e 's|cp -rf|cp -prf|' \
	Makefile.in

%{__sed} -i.byte \
	-e 's|pyc|py|' \
	%{name}.in

%{__sed} -i.engine \
	-e 's|Nautilus|nautilus|' \
	%{name}.py

# This configure accepts only the option --prefix
# and does not accept --libdir= option
./configure --prefix=%{_prefix}

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
	--delete-original \
	--vendor fedora \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Remove all unnecessary documentation
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/doc/

# and.. manually link..
%{__ln_s} -f ../pixmaps/%{name}.svg \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/
%{__ln_s} -f ../locale/ \
	  $RPM_BUILD_ROOT%{_datadir}/%{name}/

%{find_lang} %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO

%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.svg

%files engines
%defattr(-,root,root,-)

%changelog
* Thu Oct 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-1
- 0.3

* Fri Oct  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.3.c
- Remove beagle dependency for now because beagle is not
  available on ppc64 (although catfish itself is noarch :( )

* Wed Oct  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.2.c
- License update
- Create sub-metapackage to install all supported search engines
- Remove redhat-artwork dependency

* Fri Aug  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.1.c
- 0.3c

* Tue May 15 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.1.b
- 0.3b

* Wed Apr  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.1.a
- 0.3a

* Wed Feb 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2.2-1
- 0.2.2

* Sun Feb 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2.1-1
- 0.2.1

* Wed Feb 14 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2stable-1
- 0.2

* Wed Jan 30 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2d-1
- 0.2d

* Mon Jan 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2c-1
- 0.2c

* Sun Jan 14 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2b-1
- Upstream rename: search4files -> catfish
- Remove the dependencies for beagle, nautilus,
  replace with redhat-artwork

* Mon Jan  1 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2a-1
- 0.2a

* Sat Dec 23 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Require pyxdg again (fc7)

* Wed Dec 20 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1e-1
- 0.1e

* Thu Dec 14 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1d-1
- 0.1d
- Disable pyxdg support on devel for now.

* Sat Dec  8 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1c-2
- Fix type typo

* Fri Dec  8 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1c-1
- Initial packaging to import to Fedora Extras.
